=== debian/changelog ===
opencolorio (1.0.9~dfsg0-4) unstable; urgency=medium

  * debian/: fix g++-5 ABI transition issue (Closes: #796925)
  * debian/control:
    - libopenimageio-dev b-dep dropped
    - Uploader e-mail address updated
  * debian/copyright: S-V bump 3.9.5 => 3.9.6 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 03 Sep 2015 13:55:34 +0200

opencolorio (1.0.9~dfsg0-3) unstable; urgency=medium

  * debian/control: Priority bump - extra => optional (Closes: #761332)

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Sat, 13 Sep 2014 09:31:28 +0200

opencolorio (1.0.9~dfsg0-2) unstable; urgency=medium

  * debian/patches/: patchset updated
    - 0002-Fix_FTBFS_on_kFreeBSD.patch added

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Tue, 24 Jun 2014 18:11:46 +0200

opencolorio (1.0.9~dfsg0-1) unstable; urgency=low

  * New upstream release
    - debian/rules: dh_auto_test overridden
    - debian/patches/: patchset updated
      - 0001-Fix_built-in_documentation_dependencies.patch refreshed
  * debian/control: Uploader e-mail address updated
  * debian/control: S-V 3.9.4 => 3.9.5 (no changes needed)

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Fri, 06 Jun 2014 09:57:28 +0200
