=== debian/rules ===
#!/usr/bin/make -f

CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
export REPACK_SH=$(CURDIR)/debian/repack.sh
BLDDIR = debian/cmake
INSTDIR = debian/tmp

%:
	dh $@ -Scmake -B$(BLDDIR) --parallel --with python2

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_CXX_FLAGS="$(CXXFLAGS) $(CPPFLAGS)" \
		-DOCIO_BUILD_DOCS=ON \
		-DOCIO_BUILD_NUKE=OFF \
		-DOCIO_BUILD_STATIC=OFF \
		-DOCIO_BUILD_TESTS=OFF \
		-DOCIO_BUILD_TRUELIGHT=OFF \
		-DOCIO_USE_SSE=OFF \
		-DUSE_EXTERNAL_TINYXML=ON \
		-DUSE_EXTERNAL_YAML=ON

override_dh_auto_install:
	dh_auto_install
	rm -f $(INSTDIR)/usr/share/doc/OpenColorIO/html/_sources/License.txt
	rm -f $(INSTDIR)/usr/share/doc/OpenColorIO/html/_static/jquery.js
	rm -f $(INSTDIR)/usr/share/doc/OpenColorIO/html/_static/underscore.js

override_dh_install:
	mv $(INSTDIR)/usr/share/doc/OpenColorIO $(INSTDIR)/usr/share/doc/opencolorio
	dh_install

override_dh_auto_clean:
	pyclean .
	dh_auto_clean

override_dh_auto_test:

get-orig-source:
	uscan --force-download
